# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.models.profile import Profile

class TestProfile(unittest.TestCase):
    """Profile unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> Profile:
        """Test Profile
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `Profile`
        """
        model = Profile()
        if include_optional:
            return Profile(
                tag = '',
                username = '',
                secret = '',
                secret_type = 'password',
                auth_scheme = 'native',
                endpoint = None,
                metadata = {
                    'key' : null
                    }
            )
        else:
            return Profile(
                tag = '',
                secret_type = 'password',
                endpoint = None,
        )
        """

    def testProfile(self):
        """Test Profile"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
